vmware vCenter のアップデートでエラー

vmware vCenter ver 5.*系? でアップデートする際に、Single Sign On(SSO)でエラーが表示されて進めなくなる事があります。

解決するには以下の通り。

Installing vCenter Single Sign-On fails with Error 20003 (2046318)
http://kb.vmware.com/selfservice/microsites/search.do?language=en_US&cmd=displayKC&externalId=2046318

32bit Javaが悪さしている事があるからアンインストールすべし。
それでも解決しない場合には、
C:\Program Files\VMware\Infrastructure\jre
のフォルダ名を以下の様に
C:\Program Files\VMware\Infrastructure\_jre
変更すればセットアップできるようになります。

Apache2(DSO)でopenssl更新後にmod_sslを更新する

最近はopenssl界隈がとても慌ただしくなっております。
折しも先日、opensslが更新され、yumやaptgetで更新ができるようになりました。

apacheでSSLを利用する際にはmod_sslを仕込みますが、このコンパイル時にopensslを参照します。
なので、opensslを更新したらmod_sslも更新しなきゃいけない。
apacheをyumで入れていれば簡単なのだけど、apacheをコンパイル・インストールしている人には作業が必要。
よってコンパイル手順。